.main {
    margin-top: 113px;
}
.cateBox {
    display: flex;
    flex-wrap: wrap;
    position: relative;
    justify-content: center;
    min-width: 1200px;
    height: 130px;
    background-color: #fff;
    font-size: 12px;
    padding-bottom: 10px;
}
.direction {
    display: flex;
    margin-bottom: 10px;
    padding: 0 10px;
    width: 1200px;
    font-size: 14px;
    color: #333;
}
.direction p {
    margin-top: 8px;
    min-width: 75px;
    font-size: 14px !important;
    margin-bottom: 1em;
}
.direction-items {
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    color: #666;
}
.cateBox ul {
    margin-bottom: 0 !important;
}
.direction2 {
    overflow: hidden;
    border-radius: 10px;
    position: static;
    box-shadow: rgba(95, 101, 105, 0) 0px 12px 20px 0px;
    transition: undefined;
    background-color: rgb(255, 255, 255);
    max-height: 38px;
}
.direction_item {
    padding: 0 8px;
    height: 32px;
    line-height: 32px;
    margin-left: 7px;
    margin-top: 5px;
    cursor: pointer;
}
.direction_active {
    padding: 0 8px;
    background-color: #186cea;
    color: #fff;
    height: 32px;
    line-height: 32px;
    border-radius: 5px;
}
.content {
    overflow: hidden;
    min-width: 1200px;
    background-color: #f0f3f4;
}
.courseContainer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 15px 0 30px;
    width: 100%;
}
.sortItems {
    display: flex;
    align-items: center;
    width: 1200px;
    font-size: 14px;
    text-align: center;
    color: #333;
    margin-top: 5px;
}
.sortItems .sortItem:nth-child(1){
    margin-left: 0;
}
.sortItem {
    margin-left: 15px;
    width: 51px;
    cursor: pointer;
}
.sortActive {
    width: 51px;
    height: 24px;
    border-radius: 5px;
    border: 1px solid #186cea;
    color: #186cea;
    display: flex;
    align-items: center;
    justify-content: center;
}
.courseList {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    min-height: 400px;
    margin-top: 20px;
    width: 1200px;
}
.courseItem {
    /* overflow: hidden; */
    position: relative;
    width: 287px;
    background-color: #fff;
    border-radius: 8px;
    cursor: pointer;
}
.courseDetail {
    position: relative;
    padding: 10px 8px;
    margin-right: 10px;
}
.detailTitle {
    display: -webkit-box;
    overflow: hidden;
    text-overflow: -o-ellipsis-lastline;
    text-overflow: ellipsis;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    word-break: break-all;
    font-size: 14px;
}
.anticon {
    display: inline-block;
    color: inherit;
    font-style: normal;
    line-height: 0;
    text-align: center;
    text-transform: none;
    vertical-align: -.125em;
    text-rendering: optimizelegibility;
    -webkit-font-smoothing: antialiased;
}
.ant-image-img {
    border-radius: 8px 8px 0 0 !important;
}
.courseListContainer {
    position: relative;
    margin-right: 17px;
    margin-bottom: 17px;
    color: #333333 !important;
}
.courseList .courseListContainer:nth-child(4n){
    margin-right: 0 !important;
}
.online-content {
    width: 1200px;
    margin: 0 auto 20px;
    display: flex;
    flex-wrap: wrap;
}
.noDataPic {
    width: 473px;
    height: 275px;
    margin-top: -430px;

}
.noData-content {
     display: flex;
     flex-direction: column;
     justify-content: center;
     align-items: center;
     min-height: 843px !important;
}
.noData-content p {
    color: #666;
    margin-top: 20px;
    font-size: 14px;
}

